Skip to main content
GET
/
monitored-computers
/
{computerId}
Get monitored computer by ID
curl --request GET \
  --url https://api.vanta.com/v1/monitored-computers/{computerId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "5f2c939a52855e725c8d5823",
  "integrationId": "vantaAgent",
  "serialNumber": "FVFGPGV2Q6L5",
  "udid": "280FF071-1D7A-5752-BD3A-1A68937CD187",
  "lastCheckDate": "2024-03-07T18:46:05.944Z",
  "screenlock": {
    "outcome": "FAIL"
  },
  "diskEncryption": {
    "outcome": "FAIL"
  },
  "passwordManager": {
    "outcome": "FAIL"
  },
  "antivirusInstallation": {
    "outcome": "FAIL"
  },
  "operatingSystem": {
    "type": "macOS",
    "version": "13.2.1"
  },
  "owner": {
    "id": "65e1efde08e8478f143a8ff9",
    "emailAddress": "example-person@email.com",
    "displayName": "Example Owner"
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

computerId
string
required

Response

200 - application/json

Ok

id
string
required

Unique identifier for the monitored computer.

integrationId
string
required

Hard-coded enums for Vanta-built integrations or application IDs for 3rd-party-built integrations.

lastCheckDate
string<date-time> | null
required

Date of the computer's most recent report.

screenlock
object
required

Whether or not the computer has screenlock enabled.

diskEncryption
object
required

Whether or not the computer's hard drive is encrypted.

passwordManager
object
required

Whether or not the computer has a password manager installed.

antivirusInstallation
object
required

Whether or not the computer has antivirus software installed.

operatingSystem
object
required

The computer's operating system name and version.

owner
object
required

The name, unique identifier, and email address of the computer's owner.

serialNumber
string | null
required

The serial number of the computer. This value may be null if it is not reported by the device.

udid
string | null
required

The universal device id of the computer.